/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.sftp;

/**
 * An exception raised if the authentication onto the SSH server failed.
 *
 * @author Charles Casadei - eBM WebSourcing
 */
public class SshAuthenticationException extends Exception {

    private static final long serialVersionUID = 7889209630054510554L;

    /**
     * The error message.
     */
    private String originalMessage;

    /**
     * Default constructor.
     */
    public SshAuthenticationException() {
        super("Authentication error");
    }

    /**
     * Default constructor.
     *
     * @param message the error message
     */
    public SshAuthenticationException(final String message) {
        super("Authentication error : " + message);
        this.originalMessage = message;
    }

    /**
     * Default constructor.
     *
     * @param message the error message
     * @param ex the original error
     */
    public SshAuthenticationException(final String message, Exception ex) {
        super("Authentication error  : " + message + ex.getMessage(), ex);
        this.originalMessage = message;
    }

    /**
     * Accessor on the error message given to the class constructor.
     *
     * @return the error message
     */
    public final String getOriginalMessage() {
        return this.originalMessage;
    }
}
